# OpenFailException.Reason (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel
Enum OpenFailException.Reason

    java.lang.Object
      java.lang.Enum<OpenFailException.Reason>
          net.schmizz.sshj.connection.channel.OpenFailException.Reason

All Implemented Interfaces:
  Serializable, Comparable<OpenFailException.Reason>

Enclosing class:
  OpenFailException

    public static enum OpenFailException.Reason

extends Enum<OpenFailException.Reason>

Enum Constant Summary
`ADMINISTRATIVELY_PROHIBITED`
`CONNECT_FAILED`
`RESOURCE_SHORTAGE`
`UNKNOWN`
`UNKNOWN_CHANNEL_TYPE`

Method Summary
`static OpenFailException.Reason` `fromInt(int code)`
`int` `getCode()`
`static OpenFailException.Reason` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OpenFailException.Reason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final OpenFailException.Reason UNKNOWN

### ADMINISTRATIVELY_PROHIBITED

    public static final OpenFailException.Reason ADMINISTRATIVELY_PROHIBITED

### CONNECT_FAILED

    public static final OpenFailException.Reason CONNECT_FAILED

### UNKNOWN_CHANNEL_TYPE

    public static final OpenFailException.Reason UNKNOWN_CHANNEL_TYPE

### RESOURCE_SHORTAGE

    public static final OpenFailException.Reason RESOURCE_SHORTAGE

Method Detail

### values

    public static OpenFailException.Reason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OpenFailException.Reason c : OpenFailException.Reason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OpenFailException.Reason valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromInt

    public static OpenFailException.Reason fromInt(int code)

### getCode

    public int getCode()

Copyright © 2009-2011. All Rights Reserved.